WHMCS - Support # 120: Submit ticket

Status: Closed Priority: High

Author: Support S Category:

Created: 12 Dec 2012 Assignee: Amarjeet Kaur

Updated: 24 Jun 2013 Due date: 14 Dec 2012

Subject: Submit ticket

Description: | have done right so told on this page when installing WHMCS with Kayako. But when i try to submit a ticket i

get a blank page when i choose the departement and clik next.
/submitticket.php?step=2 gives me a blank page.

What have i done wrong?

Can someone give me the solution?

Thnx!

History

12/12/2012 11:14 pm - Mahesh Salaria
- Due date set to 14 Dec 2012
- Assignee set to Amarjeet Kaur

- Estimated time set to 1.00

12/13/2012 12:27 am - Amarjeet Kaur
Hi,

Please enable your debug mode in WHMCS admin panel to get the exact error.

And please cross check your installation steps, if you have made all modifications in SWIFT framework as per the SWIFT_Modifications.doc file
attached in wiki section.

Please let us know if you face this problem again.

12/13/2012 07:28 am - Support S
I think i have done something really wrong now with the files i had to edit for the SWIFT_Modifications.doc

Can you plz upload the edited file here so i can download then and put the right files on my servers?

Thnx!

12/13/2012 07:30 am - Support S

And plz tell me where i have to put those files plz!

12/25/2012 12:19 am - Amarjeet Kaur

- File class.Controller_CustomFieldGroup.php added
- File class.Controller_TicketAttachment.php added
- File class.Controller_TicketCustomField.php added
- File class.SWIFT_Ticket.php added

- File class.SWIFT_TicketPost.php added

Hello,

Please find the attached modified files.
Please replace these files in your helpdesk installation in following folders respectively:

# class.Controller_CustomFieldGroup.php -- under __swift/apps/base/api/
# class.Controller_TicketAttachment.php -- under __apps/tickets/api/
# class.Controller_TicketCustomField.php -- under __apps/tickets/api/
# class.SWIFT_Ticket.php -- under __apps/tickets/models/Ticket

# class.SWIFT_TicketPost.php -- under __apps/tickets/models/Ticket/

Hope this will solve your issue. Please let us know, if you still face any issue with it.

01/11/2013 05:55 pm - Edward Tan
Hi ,

After | try to upload all the file , | still face the blank page error , only the knowledge base working fine .please resolve this soon.

Thank You

01/16/2013 04:48 am - Amarjeet Kaur
Hi Edward,

The issue is resolved at your end. Please check and let us know about your feedback.

Thank you,

Amarjeet Kaur

01/16/2013 04:53 am - Amarjeet Kaur

- Status changed from New to Resolved

01/20/2013 04:47 pm - Chris Danks

| too have this problem

enabled debug mode and the output is:

Fatal error: Uncaught exception 'kyException' with message 'HTTP error:
/home/*USER*/public_html/modules/support/kayako/API/kyRESTClient.php:195 Stack trace:
/home/*USER*/public_html/modules/support/kayako/API/kyRESTClient.php(219): kyRESTClient->processRequest('/Base/CustomFie..."
#1 /home/*USER*/public_html/modules/support/kayako/API/kyObjectBase.php(196): kyRESTClient->get(/Base/CustomFie...",
/home/*USER*/public_html/modules/support/kayako/submitticket.php(95): kyObjectBase::getAll(Array)
/home/*USER*/public_html/submitticket.php(0): unknown() #4 {main} thrown

/home/*USER*/public_html/modules/support/kayako/API/kyRESTClient.php on line 195

01/21/2013 12:43 am - Amarjeet Kaur

Hi Chris,

You need to update *class.Controller_CustomFieldGroup.php* under *helpdesk_installation_folder/__swift/apps/base/api/*.

PLEASE NOTE: We have recently updated *class.Controller_CustomFieldGroup.php* file. You can download this file from wiki section.

Thank you,
Amarjeet Kaur

01/22/2013 03:26 am - Edward Tan

Hi Amarjeet Kaur,
This issue is still problem , after | reinstall both software , when | open a ticket on whmcs , come to step 3 blank page agian , | have upload the

latest file on wiki , still the same .

01/22/2013 03:48 am - Amarjeet Kaur
Hello Edward,

To resolve this issue, please follow following steps:

In *submitticket.php* Under *whmcs_installation_folder/modules/support/kayako/*

find:

<p|’e>

$templatefile = 'ticketconfirmation’;

</pre>

and replace it with:

<pre>

$templatefile = 'ticketConfirmation’;

</pre>

This will resolve issue at your end.

Thank you,
Amarjeet Kaur

06/24/2013 02:36 am - Amarjeet Kaur
- Status changed from Resolved to Closed

Files

class.Controller_CustomFieldGroup.php 1.6 kB 25 Dec 2012 Amarjeet Kaur
class.Controller_TicketAttachment.php 11.2 kB 25 Dec 2012 Amarjeet Kaur
class.Controller_TicketCustomField.php 9.1 kB 25 Dec 2012 Amarjeet Kaur
class.SWIFT_Ticket.php 201.1 kB 25 Dec 2012 Amarjeet Kaur
class.SWIFT_TicketPost.php 38.9 kB 25 Dec 2012 Amarjeet Kaur
